#ifndef __CECONFIG_H__
#define __CECONFIG_H__
// CEFilter Component List:
#define CE_MODULES_NK 1
#define CE_MODULES_FILESYS 1
#define CE_MODULES_DEVICE 1
#define CE_MODULES_PM 1
#define CE_MODULES_COREDLL 1
#define CE_MODULES_COMMDLG 1
#define CE_MODULES_COMMCTRL 1
#define CE_MODULES_FONTS 1
#define CE_MODULES_RT_TESTS 1
#define CE_MODULES_GWES 1
#define CE_MODULES_CXPORT 1
#define CE_MODULES_WINSOCK 1
#define CE_MODULES_WS2 1
#define CE_MODULES_WS2INSTL 1
#define CE_MODULES_WSPM 1
#define CE_MODULES_NSPM 1
#define CE_MODULES_AFD 1
#define CE_MODULES_NETUI 1
#define CE_MODULES_NDIS 1
#define CE_MODULES_TCPSTK 1
#define CE_MODULES_IPHLPAPI 1
#define CE_MODULES_KEYBD 1
#define CE_MODULES_POINTER 1
#define CE_MODULES_NLED 1
#define CE_MODULES_CEDDK 1
#define CE_MODULES_DISPLAY 1
#define CE_MODULES_GIISR 1
#define CE_MODULES_8042KEYBOARD 1
#define CE_MODULES_NOPKEYBOARD 1
#define CE_MODULES_MMTIMER 1
#define CE_MODULES_PCI 1
#define CE_MODULES_PCMCIA 1
#define CE_MODULES_PCMCONV 1
#define CE_MODULES_REGENUM 1
#define CE_MODULES_SERIAL 1
#define CE_MODULES_CSP 1
#define CE_MODULES_ZLIB 1
#define CE_MODULES_PING 1
#define CE_MODULES_IPCONFIG 1
#define CE_MODULES_TRACERT 1
#define CE_MODULES_ROUTE 1
#define CE_MODULES_NETSTAT 1
#define CE_MODULES_NDISCONFIG 1
#define CE_MODULES_DHCP 1
#define CE_MODULES_ETHMAN 1
#define CE_MODULES_RTL8139 1
#define CE_MODULES_SMSC100FD 1
#define CE_MODULES_DP83815 1
#define CE_MODULES_DC21X4 1
#define CE_MODULES_RNDISMINI 1
#define CE_MODULES_NET2890 1
#define CE_MODULES_NE2000 1
#define CE_MODULES_NETMUI 1
#define CE_MODULES_NDISUIO 1
#define CE_MODULES_SECUR32 1
#define CE_MODULES_NTLMSSP 1
#define CE_MODULES_KERBEROS 1
#define CE_MODULES_CRYPTDLL 1
#define CE_MODULES_SPNEGO 1
#define CE_MODULES_SCHANNEL 1
#define CE_MODULES_SSLLSP 1
#define CE_MODULES_RSAENH 1
#define CE_MODULES_CRYPT32 1
#define CE_MODULES_MSASN1 1
#define CE_MODULES_REDIR 1
#define CE_MODULES_NETBIOS 1
#define CE_MODULES_FATFSD 1
#define CE_MODULES_MSPART 1
#define CE_MODULES_FATUTIL 1
#define CE_MODULES_FSDMGR 1
#define CE_MODULES_ENROLL 1
#define CE_MODULES_USBHOST 1
#define CE_MODULES_USBD 1
#define CE_MODULES_USBHID 1
#define CE_MODULES_USBMSC 1
#define CE_MODULES_USBDISK6 1
#define CE_MODULES_HIDPARSE 1
#define CE_MODULES_KBDHID 1
#define CE_MODULES_CONSHID 1
#define CE_MODULES_CMD 1
#define CE_MODULES_NET 1
#define DCOM_MODULES_UUID 1
#define DCOM_MODULES_OLE32 1
#define DCOM_MODULES_OLEAUT32 1
#define NETCF_MODULES_DOTNET 1
#define NETCF_MODULES_VS_SD_AUTH 1
#define IE_MODULES_MSXML3 1
#define IE_MODULES_SHDOCVW 1
#define IE_MODULES_URLMON 1
#define IE_MODULES_WININET 1
#define IE_MODULES_SHLWAPI 1
#define IE_MODULES_MLANG 1
#define IE_MODULES_UUID 1
#define SCRIPT_MODULES_JSCRIPT 1
#define SCRIPT_MODULES_VBSCRIPT 1
#define SERVERS_MODULES_SERVICES 1
#define SERVERS_MODULES_TELNETD 1
#define SERVERS_MODULES_FTPD 1
#define SERVERS_MODULES_ASP 1
#define SERVERS_MODULES_HTTPD 1
#define SHELL_MODULES_EXPLORER 1
#define SHELL_MODULES_VGAL 1
#define SHELL_MODULES_SHCORE 1
#define SHELL_MODULES_CESHELL 1
#define WCESHELLFE_MODULES_IMGDECMP 1
#define WCESHELLFE_MODULES_CONTROL 1
#define WCESHELLFE_MODULES_CTLPNL 1
#define WCESHELLFE_MODULES_CPLMAIN 1
#define WCESHELLFE_MODULES_ADVBACKLIGHT 1
#define WCESHELLFE_MODULES_INTLL 1
#define WCESHELLFE_MODULES_STGUIL 1
#define DATASYNC_MODULES_WCELOAD 1
#define DATASYNC_MODULES_UNLOAD 1
#define NK_NKCOMPR 1
#define NK_NKMAPFILE 1
#define FILESYS_FSHEAP 1
#define FILESYS_FSMAIN 1
#define FILESYS_FSPASS 1
#define FILESYS_FSDBASE 1
#define FILESYS_MSGQUEUE 1
#define FILESYS_FSREG 1
#define FILESYS_FSYSRAM 1
#define DEVICE_DEVMAIN 1
#define DEVICE_PMIF 1
#define PM_PMSTUBS 1
#define COREDLL_COREMAIN 1
#define COREDLL_LMEM 1
#define COREDLL_THUNKS 1
#define COREDLL_FMTMSG 1
#define COREDLL_ACCEL_C 1
#define COREDLL_RECTAPI 1
#define COREDLL_WMGR_C 1
#define COREDLL_MGDI_C 1
#define COREDLL_SERDEV 1
#define COREDLL_FULL_CRT 1
#define COREDLL_DEVLOAD 1
#define COREDLL_CRYPTHASH 1
#define COREDLL_RSA32 1
#define COREDLL_CORESTRW 1
#define COREDLL_CORESTRA 1
#define COREDLL_SHCORE 1
#define COREDLL_SHCORE 1
#define COREDLL_PATH 1
#define COREDLL_SHORTCUT 1
#define COREDLL_SHEXEC 1
#define COREDLL_SHMISC 1
#define COREDLL_FILEOPEN 1
#define COREDLL_FILEINFO 1
#define COREDLL_SHELLAPIS 1
#define COREDLL_CRT_CPP_SEH 1
#define COREDLL_CORELOC 1
#define COREDLL_MESSAGEDIALOGBOXTHUNK 1
#define COREDLL_CRYPTAPI 1
#define COREDLL_MMWAVE 1
#define COREDLL_MMSND 1
#define COREDLL_MMMIX 1
#define COREDLL_CORESIOW 1
#define COREDLL_CORESIOA 1
#define COREDLL_COREIMM 1
#define COREDLL_CORECRT 1
#define COREDLL_CORESTRW 1
#define COMMCTRL_TOOLBAR 1
#define COMMCTRL_UPDOWN 1
#define COMMCTRL_STATUS 1
#define COMMCTRL_PROPSHEET 1
#define COMMCTRL_LISTVIEW 1
#define COMMCTRL_TREEVIEW 1
#define COMMCTRL_DATE 1
#define COMMCTRL_TAB 1
#define COMMCTRL_PROGRESS 1
#define COMMCTRL_TRACKBAR 1
#define COMMCTRL_CAPEDIT 1
#define COMMCTRL_REBAR 1
#define COMMCTRL_CMDBAR 1
#define COMMCTRL_DSA 1
#define COMMCTRL_TOOLTIPS 1
#define COMMCTRL_FE 1
#define FONTS_TAHOMA_1_07 1
#define GWES_GWE1 1
#define GWES_WMBASE 1
#define GWES_GWESHARE 1
#define GWES_GWESMAIN 1
#define GWES_IMMTHUNK 1
#define GWES_MSGQUE 1
#define GWES_GSETWINLONG 1
#define GWES_CEPTR 1
#define GWES_FOREGND 1
#define GWES_UIBASE 1
#define GWES_KBDUI 1
#define GWES_JOURNAL 1
#define GWES_HOTKEY 1
#define GWES_IDLE 1
#define GWES_NLED 1
#define GWES_MSGBEEP 1
#define GWES_NOTIFY 1
#define GWES_NOTIFPUB 1
#define GWES_GWE2 1
#define GWES_MGBASE 1
#define GWES_MGBITMAP 1
#define GWES_MGBLT 1
#define GWES_MGBLT2 1
#define GWES_MGDC 1
#define GWES_MGDIBSEC 1
#define GWES_MGDRAW 1
#define GWES_MGRGN 1
#define GWES_MGWINMGR 1
#define GWES_MGPALNAT 1
#define GWES_MGGRADFILLSTUB 1
#define GWES_MGTT 1
#define GWES_MGDRWTXT 1
#define GWES_MGPAL 1
#define GWES_MGTCI 1
#define GWES_MGALIAS 1
#define GWES_TCHUI 1
#define GWES_CALIBRUI 1
#define GWES_MGDX 1
#define GWES_GWE3 1
#define GWES_ATOM 1
#define GWES_WINMGR 1
#define GWES_SBCMN 1
#define GWES_NCLIENT 1
#define GWES_CARET 1
#define GWES_CLIPBD 1
#define GWES_TIMER 1
#define GWES_ACCEL 1
#define GWES_DEFWNDPROC 1
#define GWES_GCACHE 1
#define GWES_LOADBMP 1
#define GWES_LOADIMG 1
#define GWES_SYSCOLOR 1
#define GWES_MENU 1
#define GWES_CASCADE 1
#define GWES_COLUMN 1
#define GWES_MENUSCRL 1
#define GWES_DRAWMBAR 1
#define GWES_MNOOVER 1
#define GWES_ICONCMN 1
#define GWES_ICON 1
#define GWES_MOUSECURSORONLY 1
#define GWES_ICONCURS 1
#define GWES_MCURSOR 1
#define GWES_MCURSOR8 1
#define GWES_MNOTAPUI 1
#define GWES_GWE4 1
#define GWES_DLGMGR 1
#define GWES_DLGMNEM 1
#define GWES_GWECTRL 1
#define GWES_BTNCTL 1
#define GWES_STCCTL 1
#define GWES_EDCTL 1
#define GWES_MSGBOX 1
#define GWES_MSGBOX_HPC 1
#define GWES_DLGMGR_HPC 1
#define GWES_MENU_HPC 1
#define GWES_EDITCONTROLOS 1
#define GWES_STARTUP 1
#define GWES_OOMUI 1
#define GWES_OOM 1
#define GWES_STARTUI 1
#define GWES_CMBCTL 1
#define GWES_CDLCTL 1
#define GWES_IMGCTL 1
#define GWES_LBCTL 1
#define GWES_SCBCTL 1
#define GWES_SBCMNVIEW 1
#define GWES_NCLIENTVIEW 1
#define GWES_GCACHEVIEW 1
#define GWES_BTNCTLVIEW 1
#define GWES_STCCTLVIEW 1
#define GWES_CMBCTLVIEW 1
#define GWES_LBCTLVIEW 1
#define WINSOCK_SSLSOCK 1
#define FATUTIL_FATUTIL_MAIN 1
#define FATUTIL_FATUTIL_UI 1
#define OLE32_MCOMBASE 1
#define OLE32_MCOMMEM 1
#define OLE32_MCOMSTR 1
#define OLE32_MCOMMON 1
#define OLE32_MCOMLIB 1
#define OLE32_OLE232 1
#define OLE32_DOCFILE 1
#define OLE32_MSF 1
#define OLE32_EXP 1
#define OLE32_MCOMSTM 1
#define OLEAUT32_OAALL 1
#define MSXML3_XMLDOM 1
#define MSXML3_XMLNETFULL 1
#define MSXML3_XMLXSLT 1
#define MSXML3_XMLXQL 1
#define MSXML3_XMLSAX 1
#define MSXML3_XMLHTTP 1
#define WININET_PPSTUBS 1
#define SHLWAPI_SHLWIE 1
#define VBSCRIPT_VBSUI 1
#define ASP_ASPPARSE 1
#define ASP_ASPCOLCT 1
#define HTTPD_HTTPAUTH 1
#define HTTPD_HTTPISAPI 1
#define HTTPD_HTTPEXTN 1
#define HTTPD_HTTPFILT 1
#define HTTPD_HTTPASP 1
#define SHCORE_SHCORE 1
#define SHCORE_SHCORE 1
#define SHCORE_PATH 1
#define SHCORE_PATH 1
#define CPLMAIN_COLORSCHEME 1
#define CPLMAIN_NETWORK 1
#define CPLMAIN_DATETIME 1
#define CPLMAIN_KEYBOARD 1
#define CPLMAIN_PASSWORD 1
#define CPLMAIN_OWNER 1
#define CPLMAIN_SYSTEM 1
#define CPLMAIN_DISPLAY 1
#define CPLMAIN_POINTERCMN 1
#define CPLMAIN_MOUSE 1
#define CPLMAIN_REMOVE 1
#define CPLMAIN_BACKLIGHT 1
#define CPLMAIN_CERTS 1
#endif
